@import url("https://fonts.googleapis.com/css2?family=Anton&family=Geist:wght@100..900&display=swap");

@font-face {
  font-family: "BrettleySignature";
  src: url("../fonts/BrettleySignature.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

:root {
  --primary: #2ac5c5;
  --secondary: #2ae424;
  --bg-color: #f1f1f0;

  --text-1: #1e3834;
  --text-2: #334b47;
  --text-3: #5e726f;

  --light: #ffffff;
  --dark: #000000;

  --transition: all 0.4s ease-in-out;

  --primary-font: "Geist", sans-serif;
  --secondary-font: "Brettley Signature", sans-serif;
  --tertiary-font: "Anton", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden !important;
}

body {
  font-family: var(--primary-font);
  font-weight: 400;
  font-size: 16px;
  margin: 0;
  background-color: var(--light);
  color: var(--text-2);
  overflow-x: clip;
  line-height: 1.1;
}

img {
  max-width: 100%;
  height: auto;
  box-sizing: border-box;
  vertical-align: middle;
}
h1,
h2,
h3,
h5,
h4,
h6 {
  font-family: var(--primary-font);
  font-weight: 500;
  margin: 0;
  line-height: 1.1;
  color: var(--text-1);
}
img {
  max-width: 100%;
  height: auto;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  vertical-align: middle;
}
a,
a:active,
a:hover {
  text-decoration: none;
  outline: unset !important;
  box-shadow: unset !important;
  transition: var(--transition);
}
a {
  color: var(--text-2);
}
a:hover {
  color: var(--primary);
}
p {
  font-size: 16px;
  color: var(--text-2);
  margin: 0 0 6px;
  line-height: 1.4;
  font-weight: 400;
  font-family: var(--primary-font);
}
p:last-child {
  margin-bottom: 0;
}
strong {
  font-weight: 700;
}
.wrapper,
.wrapper-medium,
.wrapper-small {
  max-width: 1640px;
  width: 100%;
  padding: 0 20px;
  margin: 0 auto;
}
.wrapper-medium {
  max-width: 1400px;
}
.wrapper-small {
  max-width: 1160px;
}

.padding-tb-small {
  padding: clamp(35px, 5vw, 70px) 0;
}
.padding-tb {
  padding: clamp(45px, 6vw, 90px) 0;
}
.padding-t {
  padding-top: clamp(45px, 6vw, 90px);
}
.padding-b {
  padding-bottom: clamp(45px, 6vw, 90px);
}
.padding-b-large {
  padding-bottom: clamp(60px, 7vw, 120px);
}

/* Common section start */
h1 {
  font-size: clamp(38px, 4vw, 46px);
  letter-spacing: -5%;
}
h2 {
  font-size: clamp(28px, 3vw, 36px);
  letter-spacing: -4%;
}
h3 {
  font-size: clamp(24px, 2vw, 28px);
  letter-spacing: -2%;
}
h3.entry-title {
  font-size: 20px;
}
.entry-title-small {
  font-size: 18px;
}
.entry-title-medium {
  font-size: 22px;
}
.entry-title-large {
  font-size: 24px;
}
a.btn {
  background-color: var(--secondary);
  position: relative;
  color: #1a5c18;
  border: 2px solid #1e383414;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  text-align: center;
  width: fit-content;
  border-radius: 12px;
  padding: 12px 18px;
  font-size: 16px;
  font-weight: 500;
  white-space: nowrap;
  overflow: hidden;
}
a.btn::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    90deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.5) 100%
  );
  top: 0;
}
a.btn:hover {
  background-color: transparent;
  border-color: #1a5c18;
  color: #1a5c18;
}
a.btn:hover::before {
  content: unset;
}
.btn span {
  position: relative;
  z-index: 1;
}
h1.banner-title {
  font-weight: 400;
  font-size: clamp(45px, 6vw, 80px);
  color: var(--light);
  text-transform: uppercase;
  letter-spacing: 0;
  font-family: var(--tertiary-font);
}
.section-wrap {
  margin-bottom: clamp(25px, 3vw, 45px);
}
.section-wrap.center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  max-width: 660px;
}
body:not(.home) .section-wrap {
  margin-bottom: clamp(16px, 3vw, 30px);
}
span.subtitle {
  font-size: clamp(28px, 3vw, 40px);
  color: var(--text-1);
  font-family: var(--secondary-font);
  letter-spacing: 2%;
  margin-bottom: -10px;
  display: block;
  text-transform: capitalize;
}
.section-wrap h2.section-title {
  font-size: clamp(30px, 3vw, 42px);
  color: var(--text-2);
}
.section-wrap p {
  margin: clamp(6px, 1.5vw, 12px) 0 0;
}

a.arrow {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background-color: #7be378;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #27493b;
  font-size: 16px;
  transform: rotate(45deg);
  transition: var(--transition);
}
a.arrow:hover {
  transform: rotate(405deg);
}

.content__area p {
  margin: 0 0 12px;
}
.content__area ul {
  list-style: disc;
  margin: 12px 0;
  padding: 0 0 0 24px;
}
.content__area ul li {
  line-height: 1.45;
}
.content__area ul li:not(:last-child) {
  margin-bottom: 10px;
}
.content__area h2,
.content__area h3 {
  margin-bottom: 12px;
}
.content__area p:has(+ h2),
.content__area p:has(+ h3),
.content__area ul:has(+ h2),
.content__area ul:has(+ h3) {
  margin-bottom: 22px;
}
.slick-track {
  display: flex;
}
.slick-slide {
  margin: 0 14px;
}
.slick-list {
  margin: 0 -14px;
}
.slick-arrow {
  width: 45px;
  height: 45px;
  border: 1px solid #7be378;
  background-color: #7be378;
  border-radius: 50%;
  z-index: 1;
  opacity: 100%;
  transition: var(--transition);
  display: flex !important;
  align-items: center;
  justify-content: center;
}
.slick-prev::before,
.slick-next::before {
  content: "";
  background-image: url(../img/right-arrow.svg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 26px;
  height: 26px;
  transition: var(--transition);
  font-size: 0;
  transition: var(--transition);
  opacity: 1 !important;
}
.slick-prev::before {
  background-image: url(../img/left-arrow.svg);
}
.slick-arrow:hover {
  border: 1px solid #0000001a;
  background-color: var(--light);
}

.three-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(370px, 1fr));
  gap: 25px;
  row-gap: 30px;
}
.footer-image img {
  width: 100%;
}

button {
  outline: unset !important;
  box-shadow: unset !important;
}

input,
select,
textarea {
  outline: unset !important;
  width: 100%;
  padding: 10px;
  background-color: var(--light);
  border-radius: 5px;
  border: 1px solid #cecece;
  font-family: var(--primary-font);
  font-size: 16px;
  font-weight: 500;
}
input::placeholder,
select::placeholder,
textarea::placeholder {
  color: #b3b3b3;
}

ins {
  background: unset;
}

.search-results .page-header {
  margin-bottom: 30px;
  text-align: center;
}
.search-results .page-header h1 {
  font-size: clamp(28px, 3vw, 38px);
}

.error-404-wrapper {
  text-align: center;
}
.error-404-wrapper h1 {
  font-size: clamp(30px, 3vw, 48px);
  font-weight: 700;
  margin: 0 0 10px;
}
.error-404-wrapper p {
  margin: 0;
  font-size: 16px;
}
.error-404-wrapper .btn {
  margin: 20px auto 0;
  width: fit-content;
}
header.entry-header {
  margin-bottom: clamp(15px, 2vw, 25px);
}

.default-section .wrapper-small {
  max-width: 1024px;
}
.default-section form.wpcf7-form {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  row-gap: 15px;
  border-radius: 12px;
  background-color: #f5f5f5;
  padding: clamp(25px, 3vw, 40px);
}
.default-section form.wpcf7-form > p {
  width: calc(50% - 10px);
  margin: 0;
}
.default-section form.wpcf7-form > p:nth-last-of-type(1),
.default-section form.wpcf7-form > p:nth-last-of-type(2) {
  width: 100%;
}
.default-section form.wpcf7-form input.wpcf7-submit {
  width: fit-content;
  margin-top: 12px;
  background-color: var(--primary);
  border: 1px solid var(--primary);
  color: var(--light);
  cursor: pointer;
  padding: 10px 20px;
  font-size: 18px;
  transition: var(--transition);
}
.default-section form.wpcf7-form input.wpcf7-submit:hover {
  background-color: transparent;
  color: var(--primary);
}
.default-section form.wpcf7-form p strong {
  display: block;
  font-size: clamp(20px, 2vw, 24px);
  font-weight: 500;
  color: var(--primary);
}
.default-section form.wpcf7-form p:has(strong) {
  width: 100%;
}
.default-section form.wpcf7-form p + p strong {
  margin-top: 18px;
}
.default-section form.wpcf7-form p br {
  display: none;
}
/* Common section end */

/* Header start */
.site-header {
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 99;
  background-color: var(--light);
  border-bottom: 1px solid #0653554d;
  padding: 5px 0;
}
.site-header.default-header {
  position: sticky;
  background-color: var(--light);
  box-shadow: 0px 4px 13.4px 0px #0000001a;
}
.site-header .custom-logo-link img {
  max-width: 140px;
}
.site-header .wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 65px;
}
.site-header .main-navigation {
  flex: 1;
  display: flex;
  justify-content: center;
}
.header-button {
  display: flex;
  align-items: center;
  gap: 30px;
}
.header-button button {
  padding: 0;
  border: unset;
  display: none;
}

.main-navigation #primary-menu {
  display: flex;
  align-items: center;
  gap: 30px;
  flex-wrap: wrap;
}
.main-navigation #primary-menu a {
  color: var(--text-2);
  font-size: 16px;
  font-weight: 600;
}
.main-navigation ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
.main-navigation ul li {
  position: relative;
}
.main-navigation #primary-menu > .current_page_item > a,
.main-navigation #primary-menu > li:hover > a,
.main-navigation #primary-menu > li li:hover > a,
.main-navigation #primary-menu > li a:hover {
  color: var(--primary);
}
#primary-menu .sub-menu {
  position: absolute;
  min-width: 270px;
  background-color: var(--light);
  border-radius: 6px;
  top: 45px;
  left: 0;
  margin: 0;
  padding: 0;
  list-style: none;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  padding: 6px;
  visibility: hidden;
  transform: translateY(50px);
  transition: var(--transition);
  z-index: -1;
}
#primary-menu .sub-menu::before,
#primary-menu .mega-menu::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: -28px;
  left: 0;
}
#primary-menu .sub-menu a {
  padding: 10px 16px;
  display: block;
}
#primary-menu > li.menu-item-has-children > .sub-menu > li > .sub-menu {
  left: 100% !important;
  top: 10px !important;
  margin-left: 10px;
}
#primary-menu > li.menu-item-has-children:hover > .sub-menu,
#primary-menu > li.menu-item-has-children > .sub-menu > li:hover > .sub-menu {
  visibility: visible;
  transform: translateY(0);
  z-index: 1;
}
#primary-menu > li.menu-item-has-children > a::after,
#primary-menu > li.has-megasubmenu > a::after {
  content: "\f078";
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  font-size: 12px;
  color: var(--text);
  margin-left: 6px;
}
#primary-menu .sub-menu > li.menu-item-has-children > a::after {
  content: "\f054";
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  position: absolute;
  -webkit-transition: var(--transition);
  -o-transition: var(--transition);
  transition: var(--transition);
  font-size: 12px;
  top: 50%;
  right: 6px;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}
.sub-menu {
  margin: 0;
  padding: 0;
  list-style: none;
}

/* Offcanvas */
.uk-offcanvas .uk-offcanvas-bar {
  background: var(--bg-color);
  padding: 0;
}
.uk-offcanvas-overlay::before {
  background: rgba(0, 0, 0, 0.68);
}
.uk-offcanvas.uk-open .uk-offcanvas-bar {
  max-width: 401px !important;
  width: 100%;
}
.uk-offcanvas .uk-offcanvas-close {
  top: 28px;
  right: 20px;
  color: var(--text-1);
  font-size: 14px;
}
.uk-offcanvas #primary-menu1 {
  margin: 0;
  padding: 0;
  list-style: none;
}
.uk-offcanvas #primary-menu1 a {
  color: var(--text-1);
  font-size: 16px;
  font-weight: 500;
  padding: 14px 24px;
  display: block;
  position: relative;
}
.uk-offcanvas #primary-menu1 > li > ul > li > a {
  padding-left: 48px;
}
.uk-offcanvas #primary-menu1 > li > ul > li > ul > li > a {
  padding-left: 64px;
}
.offcanvas__content #primary-menu1 > li > ul,
.offcanvas__content #primary-menu1 > li > ul > li > ul {
  display: none;
  padding: 0;
  position: relative;
  z-index: 1;
  border-radius: 0;
}
#primary-menu1 li.menu-item-has-children {
  position: relative;
}
.submenu-toggle {
  padding: 8px 12px;
  position: absolute;
  top: 6px;
  right: 16px;
  cursor: pointer;
}
.submenu-toggle i {
  color: #454545;
  font-size: 13px;
}
.offcanvas__content #primary-menu1 > li,
.offcanvas__content #primary-menu1 .sub-menu > li:not(:last-child) {
  border-bottom: 1px solid #dedede85;
}
.offcanvas__content #primary-menu1 > li:first-child,
.offcanvas__content #primary-menu1 .sub-menu {
  border-top: 1px solid #dedede85;
}
.offcanvas__logo {
  padding: 5px 20px;
  background-color: #e8e8e8;
}
.offcanvas__logo img {
  max-width: 220px;
}
.uk-offcanvas-close svg:last-child {
  display: none;
}
.offcanvas-button .btn:hover {
  color: var(--primary);
}
.offcanvas-button {
  padding: 20px;
}

/* Offcanvas */

/* Header end */

/* Footer start */
.site-footer {
  background-color: var(--text-1);
  padding-top: 90px;
}
.site-footer-wrapper {
  position: relative;
  padding-top: 120px;
  padding-bottom: 210px;
}
.site-footer-wrapper::before {
  content: "";
  background-image: url(../img/footer-bg.png);
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  opacity: 30%;
}
.site-footer-wrapper .wrapper {
  position: relative;
  z-index: 1;
}
.site-footer-wrapper .wrapper > div {
  display: flex;
  align-items: start;
  gap: 50px;
}
.footer-widget {
  flex: 1;
}
.footer-widget:first-child {
  flex: 4;
}
.footer-widget h3 {
  font-size: 16px;
  color: #e1e3dd;
  margin-bottom: 18px;
  font-weight: 500;
  letter-spacing: -2%;
}
.footer-widget ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.site-footer .custom-logo-link img {
  margin-bottom: 30px;
}
.contact-details > div {
  display: flex;
  align-items: start;
  gap: 10px;
  margin-bottom: 14px;
}
.contact-details > div:last-child {
  margin-bottom: 0;
}
.contact-details > div span {
  min-width: 26px;
  max-width: 26px;
}
.contact-details p,
.contact-details a {
  color: #e8eaea;
}
.associated-with-wrapper {
  background-color: #f7f5ee;
  padding: 25px 0;
}
.associated-with-wrapper .wrapper > div,
.site-info .wrapper > div {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
}
.associated-with-wrapper span {
  display: block;
  font-weight: 500;
  color: #344b47;
  margin-bottom: 12px;
  letter-spacing: -2%;
}
.associated-with-wrapper .wrapper > div > div > div {
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
}
.payment-method {
  text-align: center;
}
.social-media {
  text-align: right;
}
.site-footer p,
.site-footer a,
.site-footer li {
  color: #bbc6c6;
}
.footer-widget ul li:not(:last-child) {
  margin-bottom: 12px;
}
.footer-widget ul li a:hover,
.site-info a:hover,
.site-footer a:hover {
  color: var(--primary);
}
.social-media a:hover {
  opacity: 0.7;
}
.site-info {
  background-color: var(--light);
  padding: 14px 0;
}
.site-info a,
.site-info .wrapper div {
  margin: 0;
  font-size: 14px;
  color: var(--text-3);
}
.site-info .wrapper > div > div,
.associated-with-wrapper .wrapper > div > div {
  flex: 1;
}
.site-info .wrapper > div > div:last-child,
.associated-with-wrapper .wrapper > div > div:last-child {
  text-align: right;
}
.payment-method div {
  justify-content: center;
}
.social-media div {
  justify-content: end;
}
.footer-menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

/* Footer end */

@media (max-width: 1600px) {
  .site-footer {
    padding-top: 60px;
  }
  .site-footer-wrapper {
    padding-top: 70px;
    padding-bottom: 120px;
  }
}
@media (max-width: 1400px) {
  .footer-widget:first-child {
    flex: 3;
  }
}
@media (max-width: 1200px) {
  .site-footer-wrapper .wrapper > div {
    flex-wrap: wrap;
  }
  .footer-widget {
    flex: unset !important;
    width: calc(33.33% - 33.33px);
  }
}
@media (max-width: 1024px) {
  #site-navigation {
    display: none;
  }
  .header-button button {
    display: block;
  }
  .associated-with-wrapper .wrapper > div,
  .site-info .wrapper > div {
    flex-wrap: wrap;
  }
  .site-info .wrapper > div > div,
  .associated-with-wrapper .wrapper > div > div {
    flex: unset;
    width: calc(50% - 15px);
  }
  .social-media div {
    justify-content: start;
  }
  .site-info .wrapper > div > div:last-child,
  .associated-with-wrapper .wrapper > div > div:last-child {
    text-align: start;
  }
  .payment-method {
    text-align: right;
  }
  .payment-method div,
  .footer-menu ul {
    justify-content: end;
  }
  .site-info .wrapper > div {
    row-gap: 12px;
  }
}
@media (max-width: 989px) {
  .slick-slide {
    margin: 0 10px;
  }
  .slick-list {
    margin: 0 -10px;
  }
  .three-grid {
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  }
  .footer-widget {
    width: calc(50% - 25px);
  }
}
@media (max-width: 767px) {
  .slick-slide {
    margin: 0 5px;
  }
  .slick-list {
    margin: 0 -5px;
  }
  .site-info .wrapper > div > div,
  .associated-with-wrapper .wrapper > div > div {
    width: 100%;
  }
  .payment-method,
  .site-info .wrapper > div > div:last-child,
  .associated-with-wrapper .wrapper > div > div:last-child,
  .site-info .wrapper > div > div,
  .associated-with-wrapper .wrapper > div > div {
    text-align: center;
  }
  .payment-method div,
  .footer-menu ul,
  .associated-with-wrapper .wrapper > div > div > div {
    justify-content: center;
  }
  .site-footer-wrapper {
    padding-top: 40px;
    padding-bottom: 70px;
  }
  .site-footer {
    padding-top: 40px;
  }
}
@media (max-width: 567px) {
  .footer-widget {
    width: 100%;
  }
  .site-header .wrapper {
    gap: 30px;
  }
  .three-grid {
    row-gap: 25px;
  }
  .header-button a.btn {
    display: none;
  }
}
